using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Models
{
    [Serializable()]
    public  class Invitation
    {

        private int invitationid;
        private string invi_title = String.Empty;
        private string invi_contents = String.Empty;
        private DateTime invi_time;
        private int userid;
        private string username;
        private User user;
        private int invi_click;
        private int reviNum;
        private string userimage;


        public int Invitationid
        {
            get { return this.invitationid; }
            set { this.invitationid = value; }
        }

        public string Invi_title
        {
            get { return this.invi_title; }
            set { this.invi_title = value; }

        }
        public string Invi_contents
        {
            get { return this.invi_contents; }
            set { this.invi_contents = value; }

        }

        public DateTime Invi_time
        {

            get { return this.invi_time; }
            set { this.invi_time = value; }
        }


        public int Userid
        {
            get { return this.userid; }
            set { this.userid = value; }
        }
        public string Username
        {
            get { return this.username; }
            set { this.username = value; }
        }
        public User Users
        {
            get { return this.user; }
            set { this.user = value; }
        }
        public int Invi_click
        {
            get { return this.invi_click; }
            set { this.invi_click = value; }
        }
        public int ReviNum 
        {
            get { return this.reviNum; }
            set { this.reviNum = value; }
        }
        public string Userimage
        {
            get { return this.userimage; }
            set { this.userimage = value; }
        }

        
    }
}
